Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class SeamResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          org.jboss.seam.core.SeamResourceBundle

    public class SeamResourceBundle

extends ResourceBundle

The Seam resource bundle which searches for resources in delegate resource bundles specified in pages.xml, and a configurable list of delegate resource bundles specified in components.xml.

Author:
  Gavin King
See Also:
  `ResourceLoader`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`SeamResourceBundle()`

Method Summary
`static ResourceBundle` | `getBundle()` Get an instance for the current Seam Locale
`Enumeration<String>` | `getKeys()`
`Locale` | `getLocale()`
`protected Object` | `handleGetObject(String key)`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamResourceBundle

    public SeamResourceBundle()

Method Detail

### getBundle

    public static ResourceBundle getBundle()

  Get an instance for the current Seam Locale

  Returns:
    a SeamResourceBundle
  See Also:
    `Locale`

### getKeys

    public Enumeration<String> getKeys()

  Specified by:
    `getKeys` in class `ResourceBundle`

### handleGetObject

    protected Object handleGetObject(String key)

  Specified by:
    `handleGetObject` in class `ResourceBundle`

### getLocale

    public Locale getLocale()

  Overrides:
    `getLocale` in class `ResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD